#pragma once


// CRequestNameDlg dialog

class CRequestNameDlg : public CDialog
{
	DECLARE_DYNAMIC(CRequestNameDlg)

public:
	CRequestNameDlg(CString strTextLabel, CString strCaption, CWnd* pParent = NULL);   // standard constructor
	virtual ~CRequestNameDlg();
	BOOL OnInitDialog();
	CString GetName() {return m_strInput;}

// Dialog Data
	enum { IDD = IDD_REQUESTNAMEDIALOG };
private:
public:
private:
	CString m_strCaption;
	CString m_strLabel;
	CString m_strInput;
	CStatic *m_pLabel; 
protected:
	virtual void DoDataExchange(CDataExchange* pDX);    // DDX/DDV support

	DECLARE_MESSAGE_MAP()
};
